<?php
include_once('addons/acf-repeater/acf-repeater.php');
include_once('addons/acf-flexible-content/acf-flexible-content.php');
include_once('addons/acf-options-page/acf-options-page.php' );

if(function_exists("register_field_group"))
{
    register_field_group(array (
        'id' => 'acf_about',
        'title' => 'About',
        'fields' => array (
            array (
                'key' => 'field_522ef2f46bcdd',
                'label' => 'Heading Title',
                'name' => 'heading_title',
                'type' => 'text',
                'instructions' => 'The heading text on the top of this page',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'none',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_522ef30d6bcde',
                'label' => 'Sub Heading',
                'name' => 'sub_heading',
                'type' => 'text',
                'instructions' => 'The next just under the heading',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'none',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_522ef34a99534',
                'label' => 'Team Members',
                'name' => 'team_members',
                'type' => 'repeater',
                'instructions' => 'Add as many members as you need from this field, click add member to add a new one.',
                'sub_fields' => array (
                    array (
                        'key' => 'field_522ef36899535',
                        'label' => 'Member Name',
                        'name' => 'member_name',
                        'type' => 'text',
                        'column_width' => '',
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'formatting' => 'html',
                        'maxlength' => '',
                    ),
                    array (
                        'key' => 'field_522ef37199536',
                        'label' => 'Member Description',
                        'name' => 'member_description',
                        'type' => 'textarea',
                        'column_width' => '',
                        'default_value' => '',
                        'placeholder' => '',
                        'maxlength' => '',
                        'formatting' => 'html',
                    ),
                    array (
                        'key' => 'field_522ef37d99537',
                        'label' => 'Member Avatar/Image',
                        'name' => 'member_avatar',
                        'type' => 'image',
                        'column_width' => '',
                        'save_format' => 'object',
                        'preview_size' => 'thumbnail',
                        'library' => 'all',
                    ),
                ),
                'row_min' => 0,
                'row_limit' => '',
                'layout' => 'table',
                'button_label' => 'Add Member',
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'page_template',
                    'operator' => '==',
                    'value' => 'template-about.php',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
                0 => 'the_content',
            ),
        ),
        'menu_order' => 0,
    ));
    register_field_group(array (
        'id' => 'acf_branding',
        'title' => 'Branding',
        'fields' => array (
            array (
                'key' => 'field_52400f4f0c3f2',
                'label' => 'Site Logo',
                'name' => 'site_logo',
                'type' => 'image',
                'instructions' => 'Upload the site logo from this field, original logo size is 190x21.',
                'save_format' => 'url',
                'preview_size' => 'thumbnail',
                'library' => 'all',
            ),
            array (
                'key' => 'field_52400f7b0c3f3',
                'label' => 'Site Favico',
                'name' => 'site_favico',
                'type' => 'image',
                'instructions' => 'Upload the site favicon from this field.',
                'save_format' => 'url',
                'preview_size' => 'thumbnail',
                'library' => 'all',
            ),
            array (
                'key' => 'field_524010afa8fce',
                'label' => 'Yellow Brand Color',
                'name' => 'brand_color',
                'type' => 'color_picker',
                'instructions' => 'Select brand yellow color.',
                'default_value' => '',
            ),
            array (
                'key' => 'field_524010ca38943',
                'label' => 'Background Mode',
                'name' => 'background_mode',
                'type' => 'radio',
                'choices' => array (
                    'None' => 'None',
                    'Pattern' => 'Pattern',
                    'Image' => 'Image',
                ),
                'other_choice' => 0,
                'save_other_choice' => 0,
                'default_value' => '',
                'layout' => 'horizontal',
            ),
            array (
                'key' => 'field_524010ec38944',
                'label' => 'Background Image/Pattern',
                'name' => 'background_image_battern',
                'type' => 'image',
                'instructions' => 'Upload a background image or background pattern from this field.',
                'save_format' => 'url',
                'preview_size' => 'thumbnail',
                'library' => 'all',
            ),
            array (
                'key' => 'field_52402860baf6b',
                'label' => 'Google Font',
                'name' => 'google_font',
                'type' => 'select',
                'instructions' => 'Change the font of the web-site.',
                'choices' => array (
                    0 => '--None--',
                    1 => 'ABeeZee',
                    2 => 'Abel',
                    3 => 'Abril Fatface',
                    4 => 'Aclonica',
                    5 => 'Acme',
                    6 => 'Actor',
                    7 => 'Adamina',
                    8 => 'Advent Pro',
                    9 => 'Aguafina Script',
                    10 => 'Akronim',
                    11 => 'Aladin',
                    12 => 'Aldrich',
                    13 => 'Alegreya',
                    14 => 'Alegreya SC',
                    15 => 'Alex Brush',
                    16 => 'Alfa Slab One',
                    17 => 'Alice',
                    18 => 'Alike',
                    19 => 'Alike Angular',
                    20 => 'Allan',
                    21 => 'Allerta',
                    22 => 'Allerta Stencil',
                    23 => 'Allura',
                    24 => 'Almendra',
                    25 => 'Almendra Display',
                    26 => 'Almendra SC',
                    27 => 'Amarante',
                    28 => 'Amaranth',
                    29 => 'Amatic SC',
                    30 => 'Amethysta',
                    31 => 'Anaheim',
                    32 => 'Andada',
                    33 => 'Andika',
                    34 => 'Angkor',
                    35 => 'Annie Use Your Telescope',
                    36 => 'Anonymous Pro',
                    37 => 'Antic',
                    38 => 'Antic Didone',
                    39 => 'Antic Slab',
                    40 => 'Anton',
                    41 => 'Arapey',
                    42 => 'Arbutus',
                    43 => 'Arbutus Slab',
                    44 => 'Architects Daughter',
                    45 => 'Archivo Black',
                    46 => 'Archivo Narrow',
                    47 => 'Arimo',
                    48 => 'Arizonia',
                    49 => 'Armata',
                    50 => 'Artifika',
                    51 => 'Arvo',
                    52 => 'Asap',
                    53 => 'Asset',
                    54 => 'Astloch',
                    55 => 'Asul',
                    56 => 'Atomic Age',
                    57 => 'Aubrey',
                    58 => 'Audiowide',
                    59 => 'Autour One',
                    60 => 'Average',
                    61 => 'Average Sans',
                    62 => 'Averia Gruesa Libre',
                    63 => 'Averia Libre',
                    64 => 'Averia Sans Libre',
                    65 => 'Averia Serif Libre',
                    66 => 'Bad Script',
                    67 => 'Balthazar',
                    68 => 'Bangers',
                    69 => 'Basic',
                    70 => 'Battambang',
                    71 => 'Baumans',
                    72 => 'Bayon',
                    73 => 'Belgrano',
                    74 => 'Belleza',
                    75 => 'BenchNine',
                    76 => 'Bentham',
                    77 => 'Berkshire Swash',
                    78 => 'Bevan',
                    79 => 'Bigelow Rules',
                    80 => 'Bigshot One',
                    81 => 'Bilbo',
                    82 => 'Bilbo Swash Caps',
                    83 => 'Bitter',
                    84 => 'Black Ops One',
                    85 => 'Bokor',
                    86 => 'Bonbon',
                    87 => 'Boogaloo',
                    88 => 'Bowlby One',
                    89 => 'Bowlby One SC',
                    90 => 'Brawler',
                    91 => 'Bree Serif',
                    92 => 'Bubblegum Sans',
                    93 => 'Bubbler One',
                    94 => 'Buda',
                    95 => 'Buenard',
                    96 => 'Butcherman',
                    97 => 'Butterfly Kids',
                    98 => 'Cabin',
                    99 => 'Cabin Condensed',
                    100 => 'Cabin Sketch',
                    101 => 'Caesar Dressing',
                    102 => 'Cagliostro',
                    103 => 'Calligraffitti',
                    104 => 'Cambo',
                    105 => 'Candal',
                    106 => 'Cantarell',
                    107 => 'Cantata One',
                    108 => 'Cantora One',
                    109 => 'Capriola',
                    110 => 'Cardo',
                    111 => 'Carme',
                    112 => 'Carrois Gothic',
                    113 => 'Carrois Gothic SC',
                    114 => 'Carter One',
                    115 => 'Caudex',
                    116 => 'Cedarville Cursive',
                    117 => 'Ceviche One',
                    118 => 'Changa One',
                    119 => 'Chango',
                    120 => 'Chau Philomene One',
                    121 => 'Chela One',
                    122 => 'Chelsea Market',
                    123 => 'Chenla',
                    124 => 'Cherry Cream Soda',
                    125 => 'Cherry Swash',
                    126 => 'Chewy',
                    127 => 'Chicle',
                    128 => 'Chivo',
                    129 => 'Cinzel',
                    130 => 'Cinzel Decorative',
                    131 => 'Clicker Script',
                    132 => 'Coda',
                    133 => 'Coda Caption',
                    134 => 'Codystar',
                    135 => 'Combo',
                    136 => 'Comfortaa',
                    137 => 'Coming Soon',
                    138 => 'Concert One',
                    139 => 'Condiment',
                    140 => 'Content',
                    141 => 'Contrail One',
                    142 => 'Convergence',
                    143 => 'Cookie',
                    144 => 'Copse',
                    145 => 'Corben',
                    146 => 'Courgette',
                    147 => 'Cousine',
                    148 => 'Coustard',
                    149 => 'Covered By Your Grace',
                    150 => 'Crafty Girls',
                    151 => 'Creepster',
                    152 => 'Crete Round',
                    153 => 'Crimson Text',
                    154 => 'Croissant One',
                    155 => 'Crushed',
                    156 => 'Cuprum',
                    157 => 'Cutive',
                    158 => 'Cutive Mono',
                    159 => 'Damion',
                    160 => 'Dancing Script',
                    161 => 'Dangrek',
                    162 => 'Dawning of a New Day',
                    163 => 'Days One',
                    164 => 'Delius',
                    165 => 'Delius Swash Caps',
                    166 => 'Delius Unicase',
                    167 => 'Della Respira',
                    168 => 'Denk One',
                    169 => 'Devonshire',
                    170 => 'Didact Gothic',
                    171 => 'Diplomata',
                    172 => 'Diplomata SC',
                    173 => 'Domine',
                    174 => 'Donegal One',
                    175 => 'Doppio One',
                    176 => 'Dorsa',
                    177 => 'Dosis',
                    178 => 'Dr Sugiyama',
                    179 => 'Droid Sans',
                    180 => 'Droid Sans Mono',
                    181 => 'Droid Serif',
                    182 => 'Duru Sans',
                    183 => 'Dynalight',
                    184 => 'EB Garamond',
                    185 => 'Eagle Lake',
                    186 => 'Eater',
                    187 => 'Economica',
                    188 => 'Electrolize',
                    189 => 'Elsie',
                    190 => 'Elsie Swash Caps',
                    191 => 'Emblema One',
                    192 => 'Emilys Candy',
                    193 => 'Engagement',
                    194 => 'Englebert',
                    195 => 'Enriqueta',
                    196 => 'Erica One',
                    197 => 'Esteban',
                    198 => 'Euphoria Script',
                    199 => 'Ewert',
                    200 => 'Exo',
                    201 => 'Expletus Sans',
                    202 => 'Fanwood Text',
                    203 => 'Fascinate',
                    204 => 'Fascinate Inline',
                    205 => 'Faster One',
                    206 => 'Fasthand',
                    207 => 'Federant',
                    208 => 'Federo',
                    209 => 'Felipa',
                    210 => 'Fenix',
                    211 => 'Finger Paint',
                    212 => 'Fjalla One',
                    213 => 'Fjord One',
                    214 => 'Flamenco',
                    215 => 'Flavors',
                    216 => 'Fondamento',
                    217 => 'Fontdiner Swanky',
                    218 => 'Forum',
                    219 => 'Francois One',
                    220 => 'Freckle Face',
                    221 => 'Fredericka the Great',
                    222 => 'Fredoka One',
                    223 => 'Freehand',
                    224 => 'Fresca',
                    225 => 'Frijole',
                    226 => 'Fruktur',
                    227 => 'Fugaz One',
                    228 => 'GFS Didot',
                    229 => 'GFS Neohellenic',
                    230 => 'Gabriela',
                    231 => 'Gafata',
                    232 => 'Galdeano',
                    233 => 'Galindo',
                    234 => 'Gentium Basic',
                    235 => 'Gentium Book Basic',
                    236 => 'Geo',
                    237 => 'Geostar',
                    238 => 'Geostar Fill',
                    239 => 'Germania One',
                    240 => 'Gilda Display',
                    241 => 'Give You Glory',
                    242 => 'Glass Antiqua',
                    243 => 'Glegoo',
                    244 => 'Gloria Hallelujah',
                    245 => 'Goblin One',
                    246 => 'Gochi Hand',
                    247 => 'Gorditas',
                    248 => 'Goudy Bookletter 1911',
                    249 => 'Graduate',
                    250 => 'Grand Hotel',
                    251 => 'Gravitas One',
                    252 => 'Great Vibes',
                    253 => 'Griffy',
                    254 => 'Gruppo',
                    255 => 'Gudea',
                    256 => 'Habibi',
                    257 => 'Hammersmith One',
                    258 => 'Hanalei',
                    259 => 'Hanalei Fill',
                    260 => 'Handlee',
                    261 => 'Hanuman',
                    262 => 'Happy Monkey',
                    263 => 'Headland One',
                    264 => 'Henny Penny',
                    265 => 'Herr Von Muellerhoff',
                    266 => 'Holtwood One SC',
                    267 => 'Homemade Apple',
                    268 => 'Homenaje',
                    269 => 'IM Fell DW Pica',
                    270 => 'IM Fell DW Pica SC',
                    271 => 'IM Fell Double Pica',
                    272 => 'IM Fell Double Pica SC',
                    273 => 'IM Fell English',
                    274 => 'IM Fell English SC',
                    275 => 'IM Fell French Canon',
                    276 => 'IM Fell French Canon SC',
                    277 => 'IM Fell Great Primer',
                    278 => 'IM Fell Great Primer SC',
                    279 => 'Iceberg',
                    280 => 'Iceland',
                    281 => 'Imprima',
                    282 => 'Inconsolata',
                    283 => 'Inder',
                    284 => 'Indie Flower',
                    285 => 'Inika',
                    286 => 'Irish Grover',
                    287 => 'Istok Web',
                    288 => 'Italiana',
                    289 => 'Italianno',
                    290 => 'Jacques Francois',
                    291 => 'Jacques Francois Shadow',
                    292 => 'Jim Nightshade',
                    293 => 'Jockey One',
                    294 => 'Jolly Lodger',
                    295 => 'Josefin Sans',
                    296 => 'Josefin Slab',
                    297 => 'Joti One',
                    298 => 'Judson',
                    299 => 'Julee',
                    300 => 'Julius Sans One',
                    301 => 'Junge',
                    302 => 'Jura',
                    303 => 'Just Another Hand',
                    304 => 'Just Me Again Down Here',
                    305 => 'Kameron',
                    306 => 'Karla',
                    307 => 'Kaushan Script',
                    308 => 'Kavoon',
                    309 => 'Keania One',
                    310 => 'Kelly Slab',
                    311 => 'Kenia',
                    312 => 'Khmer',
                    313 => 'Kite One',
                    314 => 'Knewave',
                    315 => 'Kotta One',
                    316 => 'Koulen',
                    317 => 'Kranky',
                    318 => 'Kreon',
                    319 => 'Kristi',
                    320 => 'Krona One',
                    321 => 'La Belle Aurore',
                    322 => 'Lancelot',
                    323 => 'Lato',
                    324 => 'League Script',
                    325 => 'Leckerli One',
                    326 => 'Ledger',
                    327 => 'Lekton',
                    328 => 'Lemon',
                    329 => 'Libre Baskerville',
                    330 => 'Life Savers',
                    331 => 'Lilita One',
                    332 => 'Limelight',
                    333 => 'Linden Hill',
                    334 => 'Lobster',
                    335 => 'Lobster Two',
                    336 => 'Londrina Outline',
                    337 => 'Londrina Shadow',
                    338 => 'Londrina Sketch',
                    339 => 'Londrina Solid',
                    340 => 'Lora',
                    341 => 'Love Ya Like A Sister',
                    342 => 'Loved by the King',
                    343 => 'Lovers Quarrel',
                    344 => 'Luckiest Guy',
                    345 => 'Lusitana',
                    346 => 'Lustria',
                    347 => 'Macondo',
                    348 => 'Macondo Swash Caps',
                    349 => 'Magra',
                    350 => 'Maiden Orange',
                    351 => 'Mako',
                    352 => 'Marcellus',
                    353 => 'Marcellus SC',
                    354 => 'Marck Script',
                    355 => 'Margarine',
                    356 => 'Marko One',
                    357 => 'Marmelad',
                    358 => 'Marvel',
                    359 => 'Mate',
                    360 => 'Mate SC',
                    361 => 'Maven Pro',
                    362 => 'McLaren',
                    363 => 'Meddon',
                    364 => 'MedievalSharp',
                    365 => 'Medula One',
                    366 => 'Megrim',
                    367 => 'Meie Script',
                    368 => 'Merienda',
                    369 => 'Merienda One',
                    370 => 'Merriweather',
                    371 => 'Merriweather Sans',
                    372 => 'Metal',
                    373 => 'Metal Mania',
                    374 => 'Metamorphous',
                    375 => 'Metrophobic',
                    376 => 'Michroma',
                    377 => 'Milonga',
                    378 => 'Miltonian',
                    379 => 'Miltonian Tattoo',
                    380 => 'Miniver',
                    381 => 'Miss Fajardose',
                    382 => 'Modern Antiqua',
                    383 => 'Molengo',
                    384 => 'Molle',
                    385 => 'Monda',
                    386 => 'Monofett',
                    387 => 'Monoton',
                    388 => 'Monsieur La Doulaise',
                    389 => 'Montaga',
                    390 => 'Montez',
                    391 => 'Montserrat',
                    392 => 'Montserrat Alternates',
                    393 => 'Montserrat Subrayada',
                    394 => 'Moul',
                    395 => 'Moulpali',
                    396 => 'Mountains of Christmas',
                    397 => 'Mouse Memoirs',
                    398 => 'Mr Bedfort',
                    399 => 'Mr Dafoe',
                    400 => 'Mr De Haviland',
                    401 => 'Mrs Saint Delafield',
                    402 => 'Mrs Sheppards',
                    403 => 'Muli',
                    404 => 'Mystery Quest',
                    405 => 'Neucha',
                    406 => 'Neuton',
                    407 => 'New Rocker',
                    408 => 'News Cycle',
                    409 => 'Niconne',
                    410 => 'Nixie One',
                    411 => 'Nobile',
                    412 => 'Nokora',
                    413 => 'Norican',
                    414 => 'Nosifer',
                    415 => 'Nothing You Could Do',
                    416 => 'Noticia Text',
                    417 => 'Noto Sans',
                    418 => 'Noto Serif',
                    419 => 'Nova Cut',
                    420 => 'Nova Flat',
                    421 => 'Nova Mono',
                    422 => 'Nova Oval',
                    423 => 'Nova Round',
                    424 => 'Nova Script',
                    425 => 'Nova Slim',
                    426 => 'Nova Square',
                    427 => 'Numans',
                    428 => 'Nunito',
                    429 => 'Odor Mean Chey',
                    430 => 'Offside',
                    431 => 'Old Standard TT',
                    432 => 'Oldenburg',
                    433 => 'Oleo Script',
                    434 => 'Oleo Script Swash Caps',
                    435 => 'Open Sans',
                    436 => 'Open Sans Condensed',
                    437 => 'Oranienbaum',
                    438 => 'Orbitron',
                    439 => 'Oregano',
                    440 => 'Orienta',
                    441 => 'Original Surfer',
                    442 => 'Oswald',
                    443 => 'Over the Rainbow',
                    444 => 'Overlock',
                    445 => 'Overlock SC',
                    446 => 'Ovo',
                    447 => 'Oxygen',
                    448 => 'Oxygen Mono',
                    449 => 'PT Mono',
                    450 => 'PT Sans',
                    451 => 'PT Sans Caption',
                    452 => 'PT Sans Narrow',
                    453 => 'PT Serif',
                    454 => 'PT Serif Caption',
                    455 => 'Pacifico',
                    456 => 'Paprika',
                    457 => 'Parisienne',
                    458 => 'Passero One',
                    459 => 'Passion One',
                    460 => 'Patrick Hand',
                    461 => 'Patrick Hand SC',
                    462 => 'Patua One',
                    463 => 'Paytone One',
                    464 => 'Peralta',
                    465 => 'Permanent Marker',
                    466 => 'Petit Formal Script',
                    467 => 'Petrona',
                    468 => 'Philosopher',
                    469 => 'Piedra',
                    470 => 'Pinyon Script',
                    471 => 'Pirata One',
                    472 => 'Plaster',
                    473 => 'Play',
                    474 => 'Playball',
                    475 => 'Playfair Display',
                    476 => 'Playfair Display SC',
                    477 => 'Podkova',
                    478 => 'Poiret One',
                    479 => 'Poller One',
                    480 => 'Poly',
                    481 => 'Pompiere',
                    482 => 'Pontano Sans',
                    483 => 'Port Lligat Sans',
                    484 => 'Port Lligat Slab',
                    485 => 'Prata',
                    486 => 'Preahvihear',
                    487 => 'Press Start 2P',
                    488 => 'Princess Sofia',
                    489 => 'Prociono',
                    490 => 'Prosto One',
                    491 => 'Puritan',
                    492 => 'Purple Purse',
                    493 => 'Quando',
                    494 => 'Quantico',
                    495 => 'Quattrocento',
                    496 => 'Quattrocento Sans',
                    497 => 'Questrial',
                    498 => 'Quicksand',
                    499 => 'Quintessential',
                    500 => 'Qwigley',
                    501 => 'Racing Sans One',
                    502 => 'Radley',
                    503 => 'Raleway',
                    504 => 'Raleway Dots',
                    505 => 'Rambla',
                    506 => 'Rammetto One',
                    507 => 'Ranchers',
                    508 => 'Rancho',
                    509 => 'Rationale',
                    510 => 'Redressed',
                    511 => 'Reenie Beanie',
                    512 => 'Revalia',
                    513 => 'Ribeye',
                    514 => 'Ribeye Marrow',
                    515 => 'Righteous',
                    516 => 'Risque',
                    517 => 'Roboto',
                    518 => 'Roboto Condensed',
                    519 => 'Rochester',
                    520 => 'Rock Salt',
                    521 => 'Rokkitt',
                    522 => 'Romanesco',
                    523 => 'Ropa Sans',
                    524 => 'Rosario',
                    525 => 'Rosarivo',
                    526 => 'Rouge Script',
                    527 => 'Ruda',
                    528 => 'Rufina',
                    529 => 'Ruge Boogie',
                    530 => 'Ruluko',
                    531 => 'Rum Raisin',
                    532 => 'Ruslan Display',
                    533 => 'Russo One',
                    534 => 'Ruthie',
                    535 => 'Rye',
                    536 => 'Sacramento',
                    537 => 'Sail',
                    538 => 'Salsa',
                    539 => 'Sanchez',
                    540 => 'Sancreek',
                    541 => 'Sansita One',
                    542 => 'Sarina',
                    543 => 'Satisfy',
                    544 => 'Scada',
                    545 => 'Schoolbell',
                    546 => 'Seaweed Script',
                    547 => 'Sevillana',
                    548 => 'Seymour One',
                    549 => 'Shadows Into Light',
                    550 => 'Shadows Into Light Two',
                    551 => 'Shanti',
                    552 => 'Share',
                    553 => 'Share Tech',
                    554 => 'Share Tech Mono',
                    555 => 'Shojumaru',
                    556 => 'Short Stack',
                    557 => 'Siemreap',
                    558 => 'Sigmar One',
                    559 => 'Signika',
                    560 => 'Signika Negative',
                    561 => 'Simonetta',
                    562 => 'Sintony',
                    563 => 'Sirin Stencil',
                    564 => 'Six Caps',
                    565 => 'Skranji',
                    566 => 'Slackey',
                    567 => 'Smokum',
                    568 => 'Smythe',
                    569 => 'Sniglet',
                    570 => 'Snippet',
                    571 => 'Snowburst One',
                    572 => 'Sofadi One',
                    573 => 'Sofia',
                    574 => 'Sonsie One',
                    575 => 'Sorts Mill Goudy',
                    576 => 'Source Code Pro',
                    577 => 'Source Sans Pro',
                    578 => 'Special Elite',
                    579 => 'Spicy Rice',
                    580 => 'Spinnaker',
                    581 => 'Spirax',
                    582 => 'Squada One',
                    583 => 'Stalemate',
                    584 => 'Stalinist One',
                    585 => 'Stardos Stencil',
                    586 => 'Stint Ultra Condensed',
                    587 => 'Stint Ultra Expanded',
                    588 => 'Stoke',
                    589 => 'Strait',
                    590 => 'Sue Ellen Francisco',
                    591 => 'Sunshiney',
                    592 => 'Supermercado One',
                    593 => 'Suwannaphum',
                    594 => 'Swanky and Moo Moo',
                    595 => 'Syncopate',
                    596 => 'Tangerine',
                    597 => 'Taprom',
                    598 => 'Tauri',
                    599 => 'Telex',
                    600 => 'Tenor Sans',
                    601 => 'Text Me One',
                    602 => 'The Girl Next Door',
                    603 => 'Tienne',
                    604 => 'Tinos',
                    605 => 'Titan One',
                    606 => 'Titillium Web',
                    607 => 'Trade Winds',
                    608 => 'Trocchi',
                    609 => 'Trochut',
                    610 => 'Trykker',
                    611 => 'Tulpen One',
                    612 => 'Ubuntu',
                    613 => 'Ubuntu Condensed',
                    614 => 'Ubuntu Mono',
                    615 => 'Ultra',
                    616 => 'Uncial Antiqua',
                    617 => 'Underdog',
                    618 => 'Unica One',
                    619 => 'UnifrakturCook',
                    620 => 'UnifrakturMaguntia',
                    621 => 'Unkempt',
                    622 => 'Unlock',
                    623 => 'Unna',
                    624 => 'VT323',
                    625 => 'Vampiro One',
                    626 => 'Varela',
                    627 => 'Varela Round',
                    628 => 'Vast Shadow',
                    629 => 'Vibur',
                    630 => 'Vidaloka',
                    631 => 'Viga',
                    632 => 'Voces',
                    633 => 'Volkhov',
                    634 => 'Vollkorn',
                    635 => 'Voltaire',
                    636 => 'Waiting for the Sunrise',
                    637 => 'Wallpoet',
                    638 => 'Walter Turncoat',
                    639 => 'Warnes',
                    640 => 'Wellfleet',
                    641 => 'Wendy One',
                    642 => 'Wire One',
                    643 => 'Yanone Kaffeesatz',
                    644 => 'Yellowtail',
                    645 => 'Yeseva One',
                    646 => 'Yesteryear',
                    647 => 'Zeyada',
                ),
                'default_value' => '',
                'allow_null' => 0,
                'multiple' => 0,
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'options_page',
                    'operator' => '==',
                    'value' => 'acf-options-branding',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
            ),
        ),
        'menu_order' => 0,
    ));
    register_field_group(array (
        'id' => 'acf_contact',
        'title' => 'Contact',
        'fields' => array (
            array (
                'key' => 'field_52304d1cccf66',
                'label' => 'Page Heading',
                'name' => 'page_heading',
                'type' => 'text',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_52304cb3d04a1',
                'label' => 'Google Map',
                'name' => 'google_map',
                'type' => 'location-field',
                'val' => 'address',
                'center' => '48.856614,2.3522219000000177',
                'zoom' => 10,
                'scrollwheel' => 1,
            ),
            array (
                'key' => 'field_52304ce764083',
                'label' => 'Google Map Zoom Level',
                'name' => 'google_map_zoom_level',
                'type' => 'number',
                'instructions' => 'Define the google map initial zoom level.',
                'default_value' => 8,
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'min' => '',
                'max' => '',
                'step' => '',
            ),
            array (
                'key' => 'field_52304d0b64084',
                'label' => 'Address',
                'name' => 'address',
                'type' => 'textarea',
                'default_value' => '',
                'placeholder' => '',
                'maxlength' => '',
                'formatting' => 'br',
            ),
            array (
                'key' => 'field_5230535577e30',
                'label' => 'Receiving Email',
                'name' => 'receiving_email',
                'type' => 'text',
                'instructions' => 'Type the e-mail address where you need to accept e-mails from the contact form.',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'none',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_5230537277e31',
                'label' => 'Success Message',
                'name' => 'success_message',
                'type' => 'textarea',
                'instructions' => 'Type the message which will appear when user submit\'s an contact form e-mail.',
                'default_value' => '',
                'placeholder' => '',
                'maxlength' => '',
                'formatting' => 'br',
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'page_template',
                    'operator' => '==',
                    'value' => 'template-contact.php',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
                0 => 'the_content',
            ),
        ),
        'menu_order' => 0,
    ));
    register_field_group(array (
        'id' => 'acf_contact-form',
        'title' => 'Contact Form',
        'fields' => array (
            array (
                'key' => 'field_523af4e735ca0',
                'label' => 'Success Message',
                'name' => 'success_message',
                'type' => 'textarea',
                'default_value' => '',
                'placeholder' => '',
                'maxlength' => '',
                'formatting' => 'br',
            ),
            array (
                'key' => 'field_523af5233aa33',
                'label' => 'Receiving E-mal',
                'name' => 'receiving_e-mal',
                'type' => 'text',
                'instructions' => 'Place the e-mail address where you want to accept e-mails from the contact form on Footer Widget',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'none',
                'maxlength' => '',
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'contact_form',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
            ),
        ),
        'menu_order' => 0,
    ));
    register_field_group(array (
        'id' => 'acf_home-columns',
        'title' => 'Home Columns',
        'fields' => array (
            array (
                'key' => 'field_522eefaa87eba',
                'label' => 'Exclude Categories',
                'name' => 'exclude_categories',
                'type' => 'text',
                'instructions' => 'Type category Slug\'s on a comma separated list. eg: video,audio',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'none',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_522eefbd87ebb',
                'label' => 'Include Only Those Categories',
                'name' => 'include_only_those_categories',
                'type' => 'text',
                'instructions' => 'Type category Slug\'s on a comma separated list. eg: video,audio',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'none',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_522eefd887ebc',
                'label' => 'Exclude Posts',
                'name' => 'exclude_posts',
                'type' => 'relationship',
                'instructions' => 'Click posts, and place them to the right if you want to exclude them from home-page',
                'return_format' => 'object',
                'post_type' => array (
                    0 => 'portfolio',
                ),
                'taxonomy' => array (
                    0 => 'all',
                ),
                'filters' => array (
                    0 => 'search',
                ),
                'result_elements' => array (
                    0 => 'post_type',
                    1 => 'post_title',
                ),
                'max' => '',
            ),
            array (
                'key' => 'field_522ef08623255',
                'label' => 'Number of posts small grid',
                'name' => 'number_of_posts_small_grid',
                'type' => 'number',
                'default_value' => 12,
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'min' => '',
                'max' => '',
                'step' => 4,
            ),
            array (
                'key' => 'field_522ef09923256',
                'label' => 'Number of posts large grid',
                'name' => 'number_of_posts_large',
                'type' => 'number',
                'default_value' => 4,
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'min' => '',
                'max' => '',
                'step' => 2,
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'page_template',
                    'operator' => '==',
                    'value' => 'template-home-2columns.php',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
                0 => 'the_content',
            ),
        ),
        'menu_order' => 0,
    ));
    register_field_group(array (
        'id' => 'acf_home-page-slider',
        'title' => 'Home Page Slider',
        'fields' => array (
            array (
                'key' => 'field_522878416a150',
                'label' => 'Slider',
                'name' => 'slider',
                'type' => 'repeater',
                'instructions' => 'Create the home slider, click Add Slide to create a new slider.',
                'sub_fields' => array (
                    array (
                        'key' => 'field_522878606a151',
                        'label' => 'Image',
                        'name' => 'image',
                        'type' => 'image',
                        'instructions' => 'Choose the slider image',
                        'column_width' => '',
                        'save_format' => 'object',
                        'preview_size' => 'thumbnail',
                        'library' => 'all',
                    ),
                    array (
                        'key' => 'field_5228787f6a152',
                        'label' => 'Slide URL',
                        'name' => 'slide_url',
                        'type' => 'text',
                        'instructions' => 'If you wan\'t you can place an URL where this slide will navigate user',
                        'column_width' => '',
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'formatting' => 'html',
                        'maxlength' => '',
                    ),
                    array (
                        'key' => 'field_522878a26a153',
                        'label' => 'Slide Caption',
                        'name' => 'slide_caption',
                        'type' => 'textarea',
                        'instructions' => 'Insert Slide Captions here',
                        'column_width' => '',
                        'default_value' => '',
                        'placeholder' => '',
                        'maxlength' => '',
                        'formatting' => 'br',
                    ),
                ),
                'row_min' => 0,
                'row_limit' => '',
                'layout' => 'table',
                'button_label' => 'Add Slide',
            ),
            array (
                'key' => 'field_52287e76d3d18',
                'label' => 'What We Do',
                'name' => 'what_we_do',
                'type' => 'repeater',
                'instructions' => 'Enter services you offer here, click "Add Service".',
                'sub_fields' => array (
                    array (
                        'key' => 'field_52287ebed3d19',
                        'label' => 'Font Awesome',
                        'name' => 'font_awesome',
                        'type' => 'text',
                        'instructions' => 'Enter the Font Awesome icon class here, you can grab them from <a target="_blank" href="http://fortawesome.github.io/Font-Awesome/icons/">their web-site</a>',
                        'column_width' => '',
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'formatting' => 'html',
                        'maxlength' => '',
                    ),
                    array (
                        'key' => 'field_52287ef3d3d1a',
                        'label' => 'Service Title',
                        'name' => 'service_title',
                        'type' => 'text',
                        'instructions' => 'Enter the service title on this field',
                        'column_width' => '',
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'formatting' => 'html',
                        'maxlength' => '',
                    ),
                    array (
                        'key' => 'field_52287f00d3d1b',
                        'label' => 'Service Description',
                        'name' => 'service_description',
                        'type' => 'textarea',
                        'column_width' => '',
                        'default_value' => '',
                        'placeholder' => '',
                        'maxlength' => '',
                        'formatting' => 'br',
                    ),
                    array (
                        'key' => 'field_52287fcaca0d3',
                        'label' => 'Service URL',
                        'name' => 'service_url',
                        'type' => 'text',
                        'instructions' => 'Place an URL where this Service should navigate the user',
                        'column_width' => '',
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'formatting' => 'html',
                        'maxlength' => '',
                    ),
                ),
                'row_min' => 0,
                'row_limit' => 3,
                'layout' => 'table',
                'button_label' => 'Add Service',
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'page_template',
                    'operator' => '==',
                    'value' => 'template-home-slider.php',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
                0 => 'the_content',
            ),
        ),
        'menu_order' => 0,
    ));
    register_field_group(array (
        'id' => 'acf_latest-portfolio',
        'title' => 'Latest Portfolio',
        'fields' => array (
            array (
                'key' => 'field_522edd2ee68b0',
                'label' => 'Exclude Categories',
                'name' => 'exclude_categories',
                'type' => 'text',
                'instructions' => 'Type category Slug\'s on a comma separated list. eg: video,audio',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'none',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_522edd41e68b1',
                'label' => 'Include Only Those Categories',
                'name' => 'include_only_those_categories',
                'type' => 'text',
                'instructions' => 'Type category Slug\'s on a comma separated list. eg: video,audio',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'none',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_522edd54e68b2',
                'label' => 'Exclude Posts',
                'name' => 'exclude_posts',
                'type' => 'relationship',
                'instructions' => 'Click posts, and place them to the right if you want to exclude them from home-page',
                'return_format' => 'object',
                'post_type' => array (
                    0 => 'portfolio',
                ),
                'taxonomy' => array (
                    0 => 'all',
                ),
                'filters' => array (
                    0 => 'search',
                ),
                'result_elements' => array (
                    0 => 'post_type',
                    1 => 'post_title',
                ),
                'max' => '',
            ),
            array (
                'key' => 'field_522edd81e68b3',
                'label' => 'Number of posts',
                'name' => 'number_of_posts',
                'type' => 'number',
                'default_value' => 4,
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'min' => '',
                'max' => '',
                'step' => '',
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'page_template',
                    'operator' => '==',
                    'value' => 'template-home-slider.php',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
            ),
        ),
        'menu_order' => 0,
    ));
    register_field_group(array (
        'id' => 'acf_main',
        'title' => 'Main',
        'fields' => array (
            array (
                'key' => 'field_52400deb4fa41',
                'label' => 'Custom CSS',
                'name' => 'custom_css',
                'type' => 'textarea',
                'instructions' => 'Place custom CSS here but don\\\'t include &lt;style&gt; element or attribute.',
                'default_value' => '',
                'placeholder' => '',
                'maxlength' => '',
                'formatting' => 'html',
            ),
            array (
                'key' => 'field_52400e144fa42',
                'label' => 'Custom JavaScript',
                'name' => 'custom_javascript',
                'type' => 'textarea',
                'instructions' => 'Place custom javascript or jQuery, but instead of $ use <a href="http://digwp.com/2011/09/using-instead-of-jquery-in-wordpress/">jQuery</a> and don\\\'t forget to include &lt;script&gt; attribute.',
                'default_value' => '',
                'placeholder' => '',
                'maxlength' => '',
                'formatting' => 'br',
            ),
            array (
                'key' => 'field_52400e204fa43',
                'label' => 'Ajax Site',
                'name' => 'ajax_site',
                'type' => 'radio',
                'instructions' => 'Enable or Disable ajax load.Some plugins might not work with Ajax Enabled, as in this state the site loads only dynamic content.',
                'choices' => array (
                    'Enabled' => 'Enabled',
                    'Disabled' => 'Disabled',
                ),
                'other_choice' => 0,
                'save_other_choice' => 0,
                'default_value' => '',
                'layout' => 'vertical',
            ),
            array (
                'key' => 'field_52404a0225aef',
                'label' => 'Retina Images',
                'name' => 'retina_images',
                'type' => 'radio',
                'instructions' => 'Enable or Disable retina images.',
                'choices' => array (
                    'Enabled' => 'Enabled',
                    'Disabled' => 'Disabled',
                ),
                'other_choice' => 0,
                'save_other_choice' => 0,
                'default_value' => '',
                'layout' => 'vertical',
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'options_page',
                    'operator' => '==',
                    'value' => 'acf-options-main',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
            ),
        ),
        'menu_order' => 0,
    ));
    register_field_group(array (
        'id' => 'acf_portfolio',
        'title' => 'Portfolio',
        'fields' => array (
            array (
                'key' => 'field_52305f8f84925',
                'label' => 'Page Heading',
                'name' => 'page_heading',
                'type' => 'text',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'none',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_52305f9b84926',
                'label' => 'Page Sub Heading',
                'name' => 'page_sub_heading',
                'type' => 'text',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'none',
                'maxlength' => '',
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'page_template',
                    'operator' => '==',
                    'value' => 'template-portfolio.php',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
                0 => 'the_content',
            ),
        ),
        'menu_order' => 0,
    ));
    register_field_group(array (
        'id' => 'acf_project',
        'title' => 'Project',
        'fields' => array (
            array (
                'key' => 'field_52318680a5d00',
                'label' => 'Slider',
                'name' => 'slider',
                'type' => 'flexible_content',
                'layouts' => array (
                    array (
                        'label' => 'Image',
                        'name' => 'image',
                        'display' => 'row',
                        'sub_fields' => array (
                            array (
                                'key' => 'field_5231869fa5d01',
                                'label' => 'Image',
                                'name' => 'image',
                                'type' => 'image',
                                'column_width' => '',
                                'save_format' => 'object',
                                'preview_size' => 'thumbnail',
                                'library' => 'all',
                            ),
                        ),
                    ),
                    array (
                        'label' => 'Video',
                        'name' => 'video',
                        'display' => 'row',
                        'sub_fields' => array (
                            array (
                                'key' => 'field_523186afa5d03',
                                'label' => 'Video URL',
                                'name' => 'video_url',
                                'type' => 'text',
                                'instructions' => 'Type the video URL from Youtube or Vimeo',
                                'column_width' => '',
                                'default_value' => '',
                                'placeholder' => '',
                                'prepend' => '',
                                'append' => '',
                                'formatting' => 'none',
                                'maxlength' => '',
                            ),
                        ),
                    ),
                ),
                'button_label' => 'Add Row',
            ),
            array (
                'key' => 'field_523186d315b5d',
                'label' => 'Related Projects',
                'name' => 'related_projects',
                'type' => 'relationship',
                'instructions' => 'Click on projects which you think are related to this one, otherwise if you leave blank the system will try to generate related one\'s.',
                'return_format' => 'object',
                'post_type' => array (
                    0 => 'portfolio',
                ),
                'taxonomy' => array (
                    0 => 'all',
                ),
                'filters' => array (
                    0 => 'search',
                ),
                'result_elements' => array (
                    0 => 'post_type',
                    1 => 'post_title',
                ),
                'max' => '',
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'portfolio',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
            ),
        ),
        'menu_order' => 0,
    ));
    register_field_group(array (
        'id' => 'acf_services',
        'title' => 'Services',
        'fields' => array (
            array (
                'key' => 'field_5230338b087d3',
                'label' => 'Heading Title',
                'name' => 'heading_title',
                'type' => 'text',
                'instructions' => 'The heading text on the top of this page',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_523033a9087d4',
                'label' => 'Sub Heading',
                'name' => 'sub_heading',
                'type' => 'text',
                'instructions' => 'The title just under the heading.',
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_523033c4087d5',
                'label' => 'Services',
                'name' => 'services',
                'type' => 'repeater',
                'instructions' => 'Add services as many as you need from this field, click Add Service to add a new one.',
                'sub_fields' => array (
                    array (
                        'key' => 'field_523033f4087d6',
                        'label' => 'Font Awesome',
                        'name' => 'font_awesome',
                        'type' => 'text',
                        'instructions' => 'Enter the Font Awesome icon class here, you can grab them from <a target="_blank" href="http://fortawesome.github.io/Font-Awesome/icons/">their web-site</a>',
                        'column_width' => '',
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'formatting' => 'none',
                        'maxlength' => '',
                    ),
                    array (
                        'key' => 'field_52303404087d7',
                        'label' => 'Service Title',
                        'name' => 'service_title',
                        'type' => 'text',
                        'column_width' => '',
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'formatting' => 'html',
                        'maxlength' => '',
                    ),
                    array (
                        'key' => 'field_5230340d087d8',
                        'label' => 'Service Description',
                        'name' => 'service_description',
                        'type' => 'textarea',
                        'column_width' => '',
                        'default_value' => '',
                        'placeholder' => '',
                        'maxlength' => '',
                        'formatting' => 'br',
                    ),
                ),
                'row_min' => 0,
                'row_limit' => '',
                'layout' => 'table',
                'button_label' => 'Add Service',
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'page_template',
                    'operator' => '==',
                    'value' => 'template-services.php',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
                0 => 'the_content',
            ),
        ),
        'menu_order' => 0,
    ));
}

?>